package org.bpel.sample.bpel.sample.gui;

import java.awt.Container;
import java.awt.GridLayout;

import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;

import org.bpel.sample.bpel.sample.gui.listener.SendActionListener;
import org.bpel.sample.bpel.sample.gui.listener.SendKeyListener;

/**
 * 
 * @author Guillaume Vaudaux-Ruth - OW@INRIA
 * 
 */
public class UIRequest {

	JFrame frame;

	JTextField roomNumberTextField;

	JTextField mailTextField;

	JCheckBox restaurantCheckBox;

	public UIRequest() {
		frame = new JFrame("Booking Client");
		roomNumberTextField = new JTextField();
		mailTextField = new JTextField();
		restaurantCheckBox = new JCheckBox();
		shaped();
	}

	private void shaped() {
		Container c = frame.getContentPane();
		frame.setSize(400,150);
		JPanel panel = new JPanel(new GridLayout(4,2));
		c.add(panel);
		
		panel.add(new JLabel("Number of room :"));
		panel.add(roomNumberTextField);
		panel.add(new JLabel("Mail :"));
		panel.add(mailTextField);
		panel.add(new JLabel("Book also the restaurant ? :"));
		panel.add(restaurantCheckBox);
		panel.add(new JLabel(""));
		JButton button = new JButton("Send");
		
		// Listener
		button.addKeyListener(new SendKeyListener(this));
		button.addActionListener(new SendActionListener(this));
		
		panel.add(button);
		
	}

	
	public void display(){
		frame.setVisible(true);
	}

	public JTextField getMailTextField() {
		return mailTextField;
	}

	public JCheckBox getRestaurantCheckBox() {
		return restaurantCheckBox;
	}

	public JTextField getRoomNumberTextField() {
		return roomNumberTextField;
	}

}
