package org.bpel.sample.bpel.sample.gui;

import java.awt.Container;
import java.awt.GridLayout;

import javax.swing.JCheckBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JTextArea;
import javax.swing.JTextField;

import org.bpel.sample.bpel.sample.BookingResponse;

public class UIResponse {

	BookingResponse response;

	private JFrame frame;

    private JTextField bookingPriceTextField;

    protected JCheckBox bookingResultTextField;

    protected JTextArea returnedMessageTextArea;
    
	public UIResponse(BookingResponse response){
		this.response = response;
		init();
	}
	
	private void init(){
		frame = new JFrame("Booking Response");
		Container c = frame.getContentPane();
		c.setLayout(new GridLayout(3,2));
		
		frame.setSize(400,100);
		
		bookingPriceTextField = new JTextField();
		bookingResultTextField = new JCheckBox();
		returnedMessageTextArea = new JTextArea();
		
		bookingPriceTextField.setText(Integer.toString(response.getBookingPrice()));
		returnedMessageTextArea.setText(response.getReturnedMessage());
		bookingResultTextField.setSelected(response.isBookingResult());
		
		
		c.add(new JLabel("Price:"));
		c.add(bookingPriceTextField);
		c.add(new JLabel("Request status:"));
		c.add(bookingResultTextField);
		c.add(new JLabel("Returned msg:"));
		c.add(returnedMessageTextArea);
	}
	
	public void display(){
		frame.setVisible(true);
	}
}
