package org.bpel.sample.bpel.sample.gui.listener;

import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import org.bpel.sample.bpel.sample.gui.UIRequest;
import org.bpel.sample.bpel.sample.gui.doProcess;

public class SendKeyListener implements KeyListener {

	private UIRequest uiRequest;

	public SendKeyListener(UIRequest uiRequest) {
		this.uiRequest = uiRequest;
	}

	public void keyPressed(KeyEvent e) {
		Integer nbRoom = Integer.parseInt(uiRequest.getRoomNumberTextField().getText());
		String mail = uiRequest.getMailTextField().getText();
		Boolean bookRestaurant = uiRequest.getRestaurantCheckBox().isSelected();

		if (e.getKeyCode() == KeyEvent.VK_ENTER) {
			doProcess.doIt(nbRoom, mail, bookRestaurant);
		}
	}

	public void keyReleased(KeyEvent e) {
	}

	public void keyTyped(KeyEvent e) {
	}

}
